import Api from "~/service/Api"
import Utils from "~/utils"

export default {
    async onInfbutSearow() {
        let rtnmsg = await this.executeRule("infbut.searow")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑
            this.stmData.data = rtnmsg.data.infbut_dspstm.rows;
            
        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }

    },
    async onInfbutDsp() {
        let rtnmsg = await this.executeRule("infbut.dsp")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutUserow() {
        let rtnmsg = await this.executeRule("infbut.userow")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutClr() {
        let rtnmsg = await this.executeRule("infbut.clr")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutButprt() {
        let rtnmsg = await this.executeRule("infbut.butprt")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    onSeainf(data) {
        console.log('测试。。。。。。。', data)
    },
    async onInfbutExi() {
        let rtnmsg = await this.executeRule("infbut.exi")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onDocdisButtxmsel() {
        let rtnmsg = await this.executeRule("docdis.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onIntdisButtxmsel() {
        let rtnmsg = await this.executeRule("intdis.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onComconButtxmsel() {
        let rtnmsg = await this.executeRule("comcon.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onSetinsButtxmsel() {
        let rtnmsg = await this.executeRule("setins.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfconButshw() {
        let rtnmsg = await this.executeRule("infcon.butshw")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },

}